-- phpMyAdmin SQL Dump
-- version 3.0.0-alpha
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Ноя 30 2009 г., 17:25
-- Версия сервера: 5.1.37
-- Версия PHP: 5.2.11-1

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `generator`
--

-- --------------------------------------------------------

--
-- Структура таблицы `g_arch`
--

DROP TABLE IF EXISTS `g_arch`;
CREATE TABLE IF NOT EXISTS `g_arch` (
  `arch_id` int(2) NOT NULL AUTO_INCREMENT,
  `arch` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`arch_id`),
  KEY `arch` (`arch`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Architectures' AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `g_arch`
--

INSERT INTO `g_arch` (`arch_id`, `arch`) VALUES
(1, 'i386'),
(2, 'amd64');

-- --------------------------------------------------------

--
-- Структура таблицы `g_arch2rep`
--

DROP TABLE IF EXISTS `g_arch2rep`;
CREATE TABLE IF NOT EXISTS `g_arch2rep` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `arch_id` int(2) NOT NULL,
  `rep_id` int(5) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `arch_id` (`arch_id`,`rep_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Architectures of repositories' AUTO_INCREMENT=103 ;

--
-- Дамп данных таблицы `g_arch2rep`
--

INSERT INTO `g_arch2rep` (`id`, `arch_id`, `rep_id`) VALUES
(82, 2, 8),
(81, 1, 8),
(30, 2, 7),
(29, 1, 7),
(28, 2, 6),
(27, 1, 6),
(62, 2, 5),
(61, 1, 5),
(9, 1, 2),
(10, 2, 2),
(11, 1, 3),
(12, 2, 3),
(13, 1, 4),
(14, 2, 4),
(84, 2, 9),
(83, 1, 9),
(92, 2, 10),
(91, 1, 10),
(86, 2, 11),
(85, 1, 11),
(43, 1, 12),
(44, 2, 12),
(45, 1, 13),
(46, 2, 13),
(88, 2, 14),
(87, 1, 14),
(49, 1, 15),
(50, 2, 15),
(90, 2, 16),
(89, 1, 16),
(53, 1, 17),
(54, 2, 17),
(94, 2, 18),
(93, 1, 18),
(96, 2, 19),
(95, 1, 19),
(59, 1, 20),
(60, 2, 20),
(63, 1, 21),
(64, 2, 21),
(69, 1, 22),
(70, 2, 22),
(78, 2, 23),
(77, 1, 23),
(73, 1, 24),
(74, 2, 24),
(75, 1, 25),
(76, 2, 25),
(79, 1, 26),
(80, 2, 26),
(97, 1, 27),
(98, 2, 27),
(102, 2, 28),
(101, 1, 28);

-- --------------------------------------------------------

--
-- Структура таблицы `g_distribution`
--

DROP TABLE IF EXISTS `g_distribution`;
CREATE TABLE IF NOT EXISTS `g_distribution` (
  `dist_id` int(5) NOT NULL AUTO_INCREMENT,
  `distname` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `distua` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `disttype` int(1) NOT NULL,
  `distlogo` enum('0','1') COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`dist_id`),
  KEY `disttype` (`disttype`,`distlogo`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Distributives' AUTO_INCREMENT=7 ;

--
-- Дамп данных таблицы `g_distribution`
--

INSERT INTO `g_distribution` (`dist_id`, `distname`, `distua`, `disttype`, `distlogo`) VALUES
(1, 'Debian GNU/Linux', 'debian', 1, '1'),
(2, 'Ubuntu Linux', 'ubuntu', 1, '0'),
(5, 'ALTLinux', 'altlinux', 2, '0'),
(6, 'InfraLinux', 'infralinux', 1, '0');

-- --------------------------------------------------------

--
-- Структура таблицы `g_dtype`
--

DROP TABLE IF EXISTS `g_dtype`;
CREATE TABLE IF NOT EXISTS `g_dtype` (
  `type_id` int(1) NOT NULL AUTO_INCREMENT,
  `type` varchar(3) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`type_id`),
  KEY `type` (`type`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Distributives types (deb or rpm)' AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `g_dtype`
--

INSERT INTO `g_dtype` (`type_id`, `type`) VALUES
(1, 'deb'),
(2, 'rpm');

-- --------------------------------------------------------

--
-- Структура таблицы `g_protos`
--

DROP TABLE IF EXISTS `g_protos`;
CREATE TABLE IF NOT EXISTS `g_protos` (
  `proto_id` int(1) NOT NULL AUTO_INCREMENT,
  `proto` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`proto_id`),
  KEY `proto` (`proto`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Protocoles for access for repository' AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `g_protos`
--

INSERT INTO `g_protos` (`proto_id`, `proto`) VALUES
(1, 'http://');

-- --------------------------------------------------------

--
-- Структура таблицы `g_repfolder`
--

DROP TABLE IF EXISTS `g_repfolder`;
CREATE TABLE IF NOT EXISTS `g_repfolder` (
  `rfolder_id` int(5) NOT NULL AUTO_INCREMENT,
  `rfolder` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`rfolder_id`),
  KEY `rhost_id` (`rfolder`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Repository folders' AUTO_INCREMENT=23 ;

--
-- Дамп данных таблицы `g_repfolder`
--

INSERT INTO `g_repfolder` (`rfolder_id`, `rfolder`) VALUES
(1, '/debian'),
(2, '/debian-backports'),
(3, '/debian-multimedia'),
(4, '/opera-beta'),
(5, '/opera'),
(6, '/debian-security'),
(7, '/debian-volatile'),
(8, '/debian-winehq'),
(9, '/gfoss'),
(10, '/2gis'),
(11, '/freenx'),
(12, '/virtualbox'),
(13, '/ubuntu'),
(14, '/playonlinux'),
(15, '/xneur'),
(16, '/ubuntu-winehq'),
(17, '/ubuntu-commercial'),
(18, '/infralinux'),
(19, '/sarge-backports'),
(20, '/sarge-proposed-updates'),
(21, '/sarge'),
(22, '/p5/branch');

-- --------------------------------------------------------

--
-- Структура таблицы `g_rephost`
--

DROP TABLE IF EXISTS `g_rephost`;
CREATE TABLE IF NOT EXISTS `g_rephost` (
  `rhost_id` int(3) NOT NULL AUTO_INCREMENT,
  `rhost` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`rhost_id`),
  KEY `proto_id` (`rhost`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Repository hosts' AUTO_INCREMENT=8 ;

--
-- Дамп данных таблицы `g_rephost`
--

INSERT INTO `g_rephost` (`rhost_id`, `rhost`) VALUES
(1, 'apt.nix-files.org.ru'),
(2, 'hyperion.uni-altai.ru'),
(3, 'apt.nix-files.uni-altai.ru'),
(7, 'alt.nix-files.org.ru');

-- --------------------------------------------------------

--
-- Структура таблицы `g_repository`
--

DROP TABLE IF EXISTS `g_repository`;
CREATE TABLE IF NOT EXISTS `g_repository` (
  `rep_id` int(5) NOT NULL AUTO_INCREMENT,
  `proto_id` int(1) NOT NULL,
  `rhost_id` int(3) NOT NULL,
  `rfolder_id` int(5) NOT NULL,
  `version` int(5) NOT NULL,
  `rtype_id` int(2) NOT NULL,
  `scheme_id` int(2) NOT NULL,
  `sign_id` int(3) NOT NULL,
  `repname` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `repinfo` text COLLATE utf8_unicode_ci NOT NULL,
  `repkey` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`rep_id`),
  KEY `proto_id` (`proto_id`),
  KEY `rhost_id` (`rhost_id`),
  KEY `rfolder_id` (`rfolder_id`),
  KEY `version` (`version`),
  KEY `rtype_id` (`rtype_id`),
  KEY `scheme_id` (`scheme_id`),
  KEY `sign_id` (`sign_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Repository' AUTO_INCREMENT=29 ;

--
-- Дамп данных таблицы `g_repository`
--

INSERT INTO `g_repository` (`rep_id`, `proto_id`, `rhost_id`, `rfolder_id`, `version`, `rtype_id`, `scheme_id`, `sign_id`, `repname`, `repinfo`, `repkey`) VALUES
(5, 1, 1, 21, 1, 1, 1, 0, 'Sarge Base', 'Базовый репозиторий для sarge', ''),
(2, 1, 1, 1, 2, 1, 1, 0, 'Etch Base', 'Основной репозиторий для etch', ''),
(3, 1, 1, 2, 2, 2, 6, 0, 'Etch Backports', 'Бэкпортированный софт для etch', ''),
(4, 1, 1, 12, 2, 3, 1, 0, 'VirtualBox', 'Sun VirtualBox', ''),
(6, 1, 2, 1, 3, 3, 1, 0, 'Hyperion', 'Неофициальный репозиторий АлтГПА и AltLUG\\''а', 'wget -O - http://hyperion.uni-altai.ru/hyperion.key | apt-key add -'),
(7, 1, 2, 1, 4, 3, 1, 0, 'Hyperion', 'Неофициальный репозиторий АлтГПА и AltLUG\\''а', 'wget -O - http://hyperion.uni-altai.ru/hyperion.key | apt-key add -'),
(8, 1, 1, 1, 3, 1, 1, 0, 'Lenny Base', 'Базовый репозиторий Lenny', 'apt-get install debian-keyring'),
(9, 1, 1, 6, 3, 2, 3, 0, 'Security', 'Обновления безопасности', 'apt-get install debian-keyring'),
(10, 1, 1, 2, 3, 2, 6, 0, 'Backports', 'Бэкпортированное ПО для Lenny', 'apt-get install debian-backports-keyring'),
(11, 1, 1, 7, 3, 2, 4, 0, 'Volatile', 'Непостоянные обновления для Lenny', 'apt-get install debian-keyring'),
(12, 1, 1, 13, 7, 1, 1, 0, 'Jaunty Base', 'Базовый репозиторий Jaunty Jackalope', ''),
(13, 1, 1, 1, 13, 1, 1, 0, 'Sid Base', 'Базовый репозиторий', ''),
(14, 1, 1, 1, 3, 2, 2, 0, 'Updates', 'Предлагаемые обновления', 'apt-get install debian-keyring'),
(15, 1, 1, 3, 3, 3, 1, 0, 'Multimedia', 'Мультимедийное ПО и набор кодеков', ''),
(16, 1, 1, 7, 3, 2, 5, 0, 'Volatile-sloppy', 'Непостоянные обновления для Lenny', 'apt-get install debian-keyring'),
(17, 1, 1, 8, 3, 3, 1, 0, 'WineHQ', 'Репозиторий с WineHQ', ''),
(18, 1, 1, 5, 3, 3, 1, 0, 'Opera', 'Репозиторий с браузером Opera', 'wget -O - http://deb.opera.com/archive.key | apt-key add -'),
(19, 1, 1, 4, 3, 3, 1, 0, 'Opera Beta', 'Репозиторий с бета-версиями браузера Opera', 'wget -O - http://deb.opera.com/archive.key | apt-key add -'),
(20, 1, 1, 9, 3, 3, 1, 0, 'gfoss', 'Репозиторий с ГИС', ''),
(21, 1, 1, 10, 3, 3, 1, 0, '2GIS', 'Репозиторий с 2GIS', ''),
(22, 1, 1, 18, 14, 1, 1, 0, 'InfraLinux 8.10 Base', 'базовый репозиторий', ''),
(23, 1, 1, 18, 14, 2, 8, 0, 'Security', 'Обновления безопасности', ''),
(24, 1, 1, 18, 14, 2, 7, 0, 'Updates', 'Предлагаемые обновления', ''),
(25, 1, 1, 18, 14, 2, 6, 0, 'Backports', 'Официально неподдерживаемые обновления', ''),
(26, 1, 1, 12, 3, 3, 1, 0, 'VirtualBox', 'Репозиторий с Sun Microsystems VirtualBox', ''),
(27, 1, 7, 22, 12, 1, 11, 2, 'Master Base', 'Базовый репозиторий', ''),
(28, 1, 7, 22, 12, 2, 11, 3, 'Security', 'Обновления безопасности', '');

-- --------------------------------------------------------

--
-- Структура таблицы `g_repscheme`
--

DROP TABLE IF EXISTS `g_repscheme`;
CREATE TABLE IF NOT EXISTS `g_repscheme` (
  `scheme_id` int(2) NOT NULL AUTO_INCREMENT,
  `scheme` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`scheme_id`),
  KEY `scheme` (`scheme`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Repository schemes' AUTO_INCREMENT=13 ;

--
-- Дамп данных таблицы `g_repscheme`
--

INSERT INTO `g_repscheme` (`scheme_id`, `scheme`) VALUES
(1, '{DIST}'),
(2, '{DIST}-proposed-updates'),
(3, '{DIST}/updates'),
(4, '{DIST}/volatile'),
(5, '{DIST}/volatile-sloppy'),
(6, '{DIST}-backports'),
(7, '{DIST}-updates'),
(8, '{DIST}-security'),
(9, 'noarch'),
(10, 'x86_64'),
(11, 'i586'),
(12, 'x86_32');

-- --------------------------------------------------------

--
-- Структура таблицы `g_rtype`
--

DROP TABLE IF EXISTS `g_rtype`;
CREATE TABLE IF NOT EXISTS `g_rtype` (
  `rtype_id` int(2) NOT NULL AUTO_INCREMENT,
  `rtype` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`rtype_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Types of repositories (official, updates, 3rd party, etc.)' AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `g_rtype`
--

INSERT INTO `g_rtype` (`rtype_id`, `rtype`) VALUES
(1, 'Базовый репозиторий'),
(2, 'Обновления'),
(3, 'Репозитории 3-х лиц'),
(4, 'Репозитории партнеров');

-- --------------------------------------------------------

--
-- Структура таблицы `g_sect2rep`
--

DROP TABLE IF EXISTS `g_sect2rep`;
CREATE TABLE IF NOT EXISTS `g_sect2rep` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `sect_id` int(2) NOT NULL,
  `rep_id` int(5) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `sect_id` (`sect_id`,`rep_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Sections in repositories' AUTO_INCREMENT=137 ;

--
-- Дамп данных таблицы `g_sect2rep`
--

INSERT INTO `g_sect2rep` (`id`, `sect_id`, `rep_id`) VALUES
(119, 3, 9),
(118, 2, 9),
(117, 1, 9),
(116, 3, 8),
(115, 2, 8),
(114, 1, 8),
(46, 10, 7),
(45, 9, 7),
(44, 8, 7),
(43, 8, 6),
(42, 9, 6),
(41, 10, 6),
(85, 3, 5),
(84, 2, 5),
(83, 1, 5),
(16, 1, 2),
(17, 2, 2),
(18, 3, 2),
(19, 1, 3),
(20, 2, 3),
(21, 3, 3),
(22, 3, 4),
(131, 3, 10),
(130, 2, 10),
(129, 1, 10),
(122, 3, 11),
(121, 2, 11),
(120, 1, 11),
(65, 1, 12),
(66, 4, 12),
(67, 5, 12),
(68, 6, 12),
(69, 1, 13),
(70, 2, 13),
(71, 3, 13),
(125, 3, 14),
(124, 2, 14),
(123, 1, 14),
(75, 1, 15),
(128, 3, 16),
(127, 2, 16),
(126, 1, 16),
(79, 1, 17),
(132, 3, 18),
(133, 3, 19),
(82, 1, 20),
(86, 3, 21),
(93, 1, 22),
(94, 4, 22),
(95, 5, 22),
(96, 6, 22),
(112, 6, 23),
(111, 5, 23),
(110, 4, 23),
(109, 1, 23),
(101, 1, 24),
(102, 4, 24),
(103, 5, 24),
(104, 6, 24),
(105, 1, 25),
(106, 4, 25),
(107, 5, 25),
(108, 6, 25),
(113, 1, 26),
(134, 11, 27),
(136, 13, 28);

-- --------------------------------------------------------

--
-- Структура таблицы `g_section`
--

DROP TABLE IF EXISTS `g_section`;
CREATE TABLE IF NOT EXISTS `g_section` (
  `sect_id` int(2) NOT NULL AUTO_INCREMENT,
  `secname` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `sectinfo` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`sect_id`),
  KEY `secname` (`secname`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Information about sections' AUTO_INCREMENT=15 ;

--
-- Дамп данных таблицы `g_section`
--

INSERT INTO `g_section` (`sect_id`, `secname`, `sectinfo`) VALUES
(1, 'main', 'раздел со свободными пакетами'),
(2, 'contrib', 'раздел со свободными пакетами, зависимыми от несвободных'),
(3, 'non-free', 'раздел с несвободными пакетами'),
(4, 'restricted', 'поддерживаемое ПО доступное под не полностью свободными лицензиями'),
(5, 'universe', 'поддерживемое сообществом ПО'),
(6, 'multiverse', 'несвободное ПО'),
(7, 'partner', ''),
(8, 'unofficial', 'раздел с неофициальными пакетами'),
(9, 'astro', 'раздел с пакетами астрономических программ'),
(10, 'altspa', 'раздел пакетов для АлтГПА'),
(11, 'classic', ''),
(12, 'daedalus', ''),
(13, 'updates', ''),
(14, 'backports', '');

-- --------------------------------------------------------

--
-- Структура таблицы `g_settings`
--

DROP TABLE IF EXISTS `g_settings`;
CREATE TABLE IF NOT EXISTS `g_settings` (
  `opt_id` int(2) NOT NULL AUTO_INCREMENT,
  `opt` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `optvalue` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`opt_id`),
  KEY `opt` (`opt`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Settings' AUTO_INCREMENT=6 ;

--
-- Дамп данных таблицы `g_settings`
--

INSERT INTO `g_settings` (`opt_id`, `opt`, `optvalue`) VALUES
(1, 'codename', 'ant-ng'),
(2, 'version', '0.9.1'),
(5, 'description', 'Генератор sources.list для apt-дистрибутивов Linux'),
(4, 'passwd', 'b5c5bd7428b6509b5235953ad7aaae12');

-- --------------------------------------------------------

--
-- Структура таблицы `g_signs`
--

DROP TABLE IF EXISTS `g_signs`;
CREATE TABLE IF NOT EXISTS `g_signs` (
  `sign_id` int(3) NOT NULL AUTO_INCREMENT,
  `sname` varchar(25) NOT NULL,
  `sinfo` varchar(150) NOT NULL,
  PRIMARY KEY (`sign_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Подписи для репозиториев AltLinux' AUTO_INCREMENT=6 ;

--
-- Дамп данных таблицы `g_signs`
--

INSERT INTO `g_signs` (`sign_id`, `sname`, `sinfo`) VALUES
(1, 'alt', ''),
(2, 'p5', 'Пятая платформа'),
(3, 'updates', 'Обновления'),
(4, 'backports', 'Бэкпортированые пакеты'),
(5, 'school', 'Школьные');

-- --------------------------------------------------------

--
-- Структура таблицы `g_version`
--

DROP TABLE IF EXISTS `g_version`;
CREATE TABLE IF NOT EXISTS `g_version` (
  `version_id` int(5) NOT NULL AUTO_INCREMENT,
  `dist_id` int(5) NOT NULL,
  `vname` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `version` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `vcodename` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`version_id`),
  KEY `dist_id` (`dist_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Version of distributives' AUTO_INCREMENT=17 ;

--
-- Дамп данных таблицы `g_version`
--

INSERT INTO `g_version` (`version_id`, `dist_id`, `vname`, `version`, `vcodename`) VALUES
(1, 1, 'Sarge', '3.1', 'sarge'),
(2, 1, 'Etch', '4.0', 'etch'),
(3, 1, 'Lenny', '5.0', 'lenny'),
(4, 1, 'Squeeze', '6.0', 'squeeze'),
(5, 2, 'Hardy Heron', '8.04', 'hardy'),
(6, 2, 'Intrepid Ibex', '8.10', 'intrepid'),
(7, 2, 'Jaunty Jackalope', '9.04', 'jaunty'),
(8, 2, 'Karmic Koala', '9.10', 'karmic'),
(12, 5, 'Школьный Мастер', '5.0', 'master'),
(11, 5, 'Ark', '5.0', 'ark'),
(13, 1, 'Sid', '', 'sid'),
(14, 6, 'Intrepid Ibex', '8.10', 'intrepid'),
(15, 6, 'Jaunty Jackalope', '9.04', 'jaunty'),
(16, 6, 'Karmic Koala', '9.10', 'karmic');
