-- phpMyAdmin SQL Dump
-- version 3.0.0-alpha
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Ноя 30 2009 г., 17:25
-- Версия сервера: 5.1.37
-- Версия PHP: 5.2.11-1

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `generator`
--

-- --------------------------------------------------------

--
-- Структура таблицы `g_arch`
--

DROP TABLE IF EXISTS `g_arch`;
CREATE TABLE IF NOT EXISTS `g_arch` (
  `arch_id` int(2) NOT NULL AUTO_INCREMENT,
  `arch` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`arch_id`),
  KEY `arch` (`arch`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Architectures' AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Структура таблицы `g_arch2rep`
--

DROP TABLE IF EXISTS `g_arch2rep`;
CREATE TABLE IF NOT EXISTS `g_arch2rep` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `arch_id` int(2) NOT NULL,
  `rep_id` int(5) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `arch_id` (`arch_id`,`rep_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Architectures of repositories' AUTO_INCREMENT=103 ;

-- --------------------------------------------------------

--
-- Структура таблицы `g_distribution`
--

DROP TABLE IF EXISTS `g_distribution`;
CREATE TABLE IF NOT EXISTS `g_distribution` (
  `dist_id` int(5) NOT NULL AUTO_INCREMENT,
  `distname` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `distua` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `disttype` int(1) NOT NULL,
  `distlogo` enum('0','1') COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`dist_id`),
  KEY `disttype` (`disttype`,`distlogo`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Distributives' AUTO_INCREMENT=7 ;

-- --------------------------------------------------------

--
-- Структура таблицы `g_dtype`
--

DROP TABLE IF EXISTS `g_dtype`;
CREATE TABLE IF NOT EXISTS `g_dtype` (
  `type_id` int(1) NOT NULL AUTO_INCREMENT,
  `type` varchar(3) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`type_id`),
  KEY `type` (`type`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Distributives types (deb or rpm)' AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Структура таблицы `g_protos`
--

DROP TABLE IF EXISTS `g_protos`;
CREATE TABLE IF NOT EXISTS `g_protos` (
  `proto_id` int(1) NOT NULL AUTO_INCREMENT,
  `proto` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`proto_id`),
  KEY `proto` (`proto`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Protocoles for access for repository' AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Структура таблицы `g_repfolder`
--

DROP TABLE IF EXISTS `g_repfolder`;
CREATE TABLE IF NOT EXISTS `g_repfolder` (
  `rfolder_id` int(5) NOT NULL AUTO_INCREMENT,
  `rfolder` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`rfolder_id`),
  KEY `rhost_id` (`rfolder`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Repository folders' AUTO_INCREMENT=23 ;

-- --------------------------------------------------------

--
-- Структура таблицы `g_rephost`
--

DROP TABLE IF EXISTS `g_rephost`;
CREATE TABLE IF NOT EXISTS `g_rephost` (
  `rhost_id` int(3) NOT NULL AUTO_INCREMENT,
  `rhost` varchar(150) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`rhost_id`),
  KEY `proto_id` (`rhost`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Repository hosts' AUTO_INCREMENT=8 ;

-- --------------------------------------------------------

--
-- Структура таблицы `g_repository`
--

DROP TABLE IF EXISTS `g_repository`;
CREATE TABLE IF NOT EXISTS `g_repository` (
  `rep_id` int(5) NOT NULL AUTO_INCREMENT,
  `proto_id` int(1) NOT NULL,
  `rhost_id` int(3) NOT NULL,
  `rfolder_id` int(5) NOT NULL,
  `version` int(5) NOT NULL,
  `rtype_id` int(2) NOT NULL,
  `scheme_id` int(2) NOT NULL,
  `sign_id` int(3) NOT NULL,
  `repname` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `repinfo` text COLLATE utf8_unicode_ci NOT NULL,
  `repkey` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`rep_id`),
  KEY `proto_id` (`proto_id`),
  KEY `rhost_id` (`rhost_id`),
  KEY `rfolder_id` (`rfolder_id`),
  KEY `version` (`version`),
  KEY `rtype_id` (`rtype_id`),
  KEY `scheme_id` (`scheme_id`),
  KEY `sign_id` (`sign_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Repository' AUTO_INCREMENT=29 ;

-- --------------------------------------------------------

--
-- Структура таблицы `g_repscheme`
--

DROP TABLE IF EXISTS `g_repscheme`;
CREATE TABLE IF NOT EXISTS `g_repscheme` (
  `scheme_id` int(2) NOT NULL AUTO_INCREMENT,
  `scheme` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`scheme_id`),
  KEY `scheme` (`scheme`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Repository schemes' AUTO_INCREMENT=13 ;

-- --------------------------------------------------------

--
-- Структура таблицы `g_rtype`
--

DROP TABLE IF EXISTS `g_rtype`;
CREATE TABLE IF NOT EXISTS `g_rtype` (
  `rtype_id` int(2) NOT NULL AUTO_INCREMENT,
  `rtype` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`rtype_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Types of repositories (official, updates, 3rd party, etc.)' AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

--
-- Структура таблицы `g_sect2rep`
--

DROP TABLE IF EXISTS `g_sect2rep`;
CREATE TABLE IF NOT EXISTS `g_sect2rep` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `sect_id` int(2) NOT NULL,
  `rep_id` int(5) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `sect_id` (`sect_id`,`rep_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Sections in repositories' AUTO_INCREMENT=137 ;

-- --------------------------------------------------------

--
-- Структура таблицы `g_section`
--

DROP TABLE IF EXISTS `g_section`;
CREATE TABLE IF NOT EXISTS `g_section` (
  `sect_id` int(2) NOT NULL AUTO_INCREMENT,
  `secname` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `sectinfo` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`sect_id`),
  KEY `secname` (`secname`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Information about sections' AUTO_INCREMENT=15 ;

-- --------------------------------------------------------

--
-- Структура таблицы `g_settings`
--

DROP TABLE IF EXISTS `g_settings`;
CREATE TABLE IF NOT EXISTS `g_settings` (
  `opt_id` int(2) NOT NULL AUTO_INCREMENT,
  `opt` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `optvalue` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`opt_id`),
  KEY `opt` (`opt`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Settings' AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Структура таблицы `g_signs`
--

DROP TABLE IF EXISTS `g_signs`;
CREATE TABLE IF NOT EXISTS `g_signs` (
  `sign_id` int(3) NOT NULL AUTO_INCREMENT,
  `sname` varchar(25) NOT NULL,
  `sinfo` varchar(150) NOT NULL,
  PRIMARY KEY (`sign_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Подписи для репозиториев AltLinux' AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Структура таблицы `g_version`
--

DROP TABLE IF EXISTS `g_version`;
CREATE TABLE IF NOT EXISTS `g_version` (
  `version_id` int(5) NOT NULL AUTO_INCREMENT,
  `dist_id` int(5) NOT NULL,
  `vname` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `version` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `vcodename` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`version_id`),
  KEY `dist_id` (`dist_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Version of distributives' AUTO_INCREMENT=17 ;
